Summary: Lambda Prolog - a higher-order logic programming language
Name: teyjus
%define real_version 1.0-b33
Version: 1.0_b33
Release: 2mdk
License: GPL
Group: Development/Other
Url: http://teyjus.cs.umn.edu/
Source: http://teyjus.cs.umn.edu/releases/teyjus-%{real_version}.tar.bz2
Patch0: teyjus-1.0-b31-fix-grammar-typos.patch.bz2
ExclusiveArch: %ix86
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: byacc

%description
Teyjus is an efficient implementation of the higher-order logic programming
language Lambda Prolog. One of the main strengths of Lambda Prolog, a language
originally developed by Dale Miller and Gopalan Nadathur, is the support it
offers for higher-order abstract syntax, a new and increasingly popular way to
view the structure of objects such as formulas and programs. Lambda Prolog
realizes this facility by employing data structures based on lambda terms to
represent the notion of binding and by including primitives for probing such
terms in logically meaningful ways. The new features present in the language
pose several implementation challenges that have been addressed in the work of
Nadathur and his colleagues. The Teyjus system is a compiler and abstract
machine based realization of Lambda Prolog that incorporates the ideas that
have resulted from this research.

%prep
%setup -n %{name}-%{real_version}
%patch0 -p1
chmod -R +r .
find -type d | xargs chmod +x

%build
%configure
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/usr/examples $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%_install_info %{name}_impl.info

%preun
%_remove_install_info %{name}.info

%_remove_install_info %{name}_impl.info

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}
%{_infodir}/*
%{_bindir}/*

%changelog
* Fri Apr 25 2003 Pixel <pixel@mandrakesoft.com> 1.0_b33-2mdk
- add "BuildRequires: byacc"

* Fri Jan 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0_b33-1mdk
- 1.0_b33

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.0_b31-15mdk
- new version
- add "Url"

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 1.0_b29-15mdk
- s/Copyright/License/

* Mon Jul  2 2001 Pixel <pixel@mandrakesoft.com> 1.0_b29-14mdk
- fix description

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-13mdk
- add packager field

* Tue Aug  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0_b29-12mdk
- Fix post scripts.

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-11mdk
- remove menu (no icon)

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-10mdk
- clean up, macroization, BM

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-9mdk
- add exclusive arch

* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-8mdk
- new group

* Tue Apr 11 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-7mdk
- update-menus in postun not preun

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-6mdk
- *really* add menu

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-5mdk
- really add menu

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-4mdk
- add menu

* Tue Mar 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0_b29-3mdk
- changed group, re-packaged

* Thu Jan 20 2000 Pixel <pixel@mandrakesoft.com>
- fixed buggy % post

* Thu Jan 20 2000 Pixel <pixel@mandrakesoft.com>
- initial spec
